--[[
Author: Will Graham (wgraham@digipen.edu)

Copyright 2008-2009 DigiPen (USA) Corp.
]]--

--print("PlatformTestLevel_Init.lua")

StartPos = LvlLoader:GetInfo("playerStart01").Pos_
cameraStartPos = StartPos;

EventManager:AddEvent(false, 0.0, "PlayerData:LockPlayer(Vector3D(0.0, 0.0, 0.0))")
EventManager:AddEvent(false, 0.0, "PlayerData:SetEmissiveColor(Vector3D(1.0, 0.0, 0.0), true)")
EventManager:AddEvent(false, 0.0, "PlayerData:ToggleLight(true)")
EventManager:AddEvent(false, 0.0, "PlayerData:SetRimColor(Vector3D(0.0, 0.3, 1.0), 1.0)")
EventManager:AddEvent(false, 0.0, "PlayerData:SetCameraPosition(Vector3D(0.0, -50.0, 25.0), 0.2, true, true)");
--EventManager:AddEvent(false, 0.0, "PlayerData:SetCameraPosition(DefaultCameraVec, DefaultCameraSpeed, DefaultCameraRelative, DefaultCameraFixed)")
EventManager:AddEvent(false, 0.0, "PlayerData.MoveSpeed_ = 550");
EventManager:AddEvent(false, 1.0, "PlayerData:UnlockPlayer()")

for i = 1, 9 do

	local PlatformName = "platform"
	
	if i < 10 then
		PlatformName = PlatformName .. 0 .. i
	else
		PlatformName = PlatformName .. i
	end
	
	SpawnPlatformInfo(LvlLoader:GetInfo(PlatformName))

end

for i = 1, 5 do

	local TowerName = "level4tower"

	if i < 10 then
		TowerName = TowerName .. 0 .. i
	else
		TowerName = TowerName .. i
	end
	
	local TowerInfo = LvlLoader:GetInfo(TowerName)
	SpawnTowerInfo(TowerInfo, true, true)
	
end

MinZ = -100000.0
KillsNeeded = 0